require("kissfft-example")().then((kissfft) => {
    const fftr = new kissfft.RealFFT(16);
    const timedata = new Float32Array([0, 0.5, 0, -0.5,
        0, 0.5, 0, -0.5,
        0, 0.5, 0, -0.5,
        0, 0.5, 0, -0.5]);
    const freqdata = fftr.fft(timedata);
    for (let i = 0; i < freqdata.length / 2; i++) {
        console.log(`${i}: ${freqdata[i * 2]} + ${freqdata[i * 2 + 1]}j`);
    }
    fftr.delete();
});
